<?php
/**
 * Configure MythWeb Session info
 *
 * @url         $URL: http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/modules/tv/tmpl/default/set_screens.php $
 * @date        $Date: 2010-10-29 02:17:38 -0700 (Fri, 29 Oct 2010) $
 * @version     $Revision: 27037 $
 * @author      $Author: stuartm $
 * @license     GPL
 *
 * @package     MythWeb
 * @subpackage  Settings
 *
/**/
?>

<form class="form" method="post" action="<?php echo form_action ?>">
    <?php
        foreach ($Screens as $screen => $options) {
            ?>
                <fieldset style="margin: 1em;">
                    <legend><?php echo t(ucwords($screen)); ?></legend>
                    <?php
                        foreach($options as $option) {
                            echo '<input type="checkbox" name="'.$screen.'['.$option.']" id="'.$screen.'['.$option.']" ';
                            if ($_SESSION['settings']['screens']['tv'][$screen][$option] == 'on')
                                echo 'checked';
                            echo '> <label for="'.$screen.'['.$option.']">'.t(ucwords($option)).'</label><br />';
                        }
                    ?>
                </fieldset>
            <?php
        }
    ?>

    <div style="width: 100%; padding-top: 2em; clear: both; text-align: center;">
        <input class="submit" type="reset" value="<?php echo t('Reset') ?>">
        &nbsp;
        <input class="submit" type="submit" name="save" value="<?php echo t('Save') ?>">
    </div>

</form>
